com.sun.java.xml.ns.javaee

## Class MessageDestinationLinkType

- java.lang.Object
- - com.sun.java.xml.ns.javaee.String
  - - com.sun.java.xml.ns.javaee.MessageDestinationLinkType

-     public class MessageDestinationLinkType
      extends String

  The message-destination-linkType is used to link a message destination reference or message-driven bean to a message destination. The Assembler sets the value to reflect the flow of messages between producers and consumers in the application. The value must be the message-destination-name of a message destination in the same Deployment File or in another Deployment File in the same Java EE application unit. Alternatively, the value may be composed of a path name specifying a Deployment File containing the referenced message destination with the message-destination-name of the destination appended and separated from the path name by "#". The path name is relative to the Deployment File containing Deployment Component that is referencing the message destination. This allows multiple message destinations with the same name to be uniquely identified.

  Java-Klasse für message-destination-linkType complex type.

  Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.

       <complexType name="message-destination-linkType">
         <simpleContent>
           <restriction base="<http://java.sun.com/xml/ns/javaee>string">
           </restriction>
         </simpleContent>
       </complexType>

- - ### Field Summary

    - ### Fields inherited from class com.sun.java.xml.ns.javaee.String

      `id, value`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MessageDestinationLinkType()`

  - ### Method Summary

    - ### Methods inherited from class com.sun.java.xml.ns.javaee.String

      `getId, getValue, setId, setValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MessageDestinationLinkType

          public MessageDestinationLinkType()

Copyright © 2015 buschmais GbR. All rights reserved.